/*

+--------+    size = 4
|\....../|
| \..../ |
|  \../  |
|   \/   |
|   /\   |
|  /..\  |
| /....\ |
|/......\|
+--------+

+------+    size = 3
|\..../|
| \../ |
|  \/  |
|  /\  |
| /..\ |
|/....\|
+------+

+--+   size = 1
|\/|
|/\|
+--+

*/

public class Example_3
{
   public static final int SIZE = 4;

   public static void main(String[] args)
   {
      System.out.print("+");
      for (int i = 1; i <= (2 * SIZE); i++)
      {
         System.out.print("-");
      }
      System.out.println("+");

      for (int line = 1; line <= SIZE; line++)
      {
         System.out.print("|");
         for (int i = 1; i <= (line - 1); i++)
         {
            System.out.print(" ");
         }
         System.out.print("\\");
         for (int i = 1; i <= (2 * SIZE - 2 * line); i++)
         {
            System.out.print(".");
         }
         System.out.print("/");
         for (int i = 1; i <= (line - 1); i++)
         {
            System.out.print(" ");
         }
         System.out.println("|");
      }

      for (int line = 1; line <= SIZE; line++)
      {
         System.out.print("|");
         for (int i = 1; i <= (SIZE - line); i++)
         {
            System.out.print(" ");
         }
         System.out.print("/");
         for (int i = 1; i <= 2 * (line - 1); i++)
         {
            System.out.print(".");
         }
         System.out.print("\\");
         for (int i = 1; i <= (SIZE - line); i++)
         {
            System.out.print(" ");
         }
         System.out.println("|");
      }

      System.out.print("+");
      for (int i = 1; i <= (2 * SIZE); i++)
      {
         System.out.print("-");
      }
      System.out.println("+");
   }
}
