/*

#================#     size = 4
|      <><>      |
|    <>....<>    |
|  <>........<>  |
|<>............<>|
|<>............<>|
|  <>........<>  |
|    <>....<>    |
|      <><>      |
#================#

#============#      size = 3
|    <><>    |
|  <>....<>  |
|<>........<>|
|<>........<>|
|  <>....<>  |
|    <><>    |
#============#

#========#      size = 2
|  <><>  |
|<>....<>|
|<>....<>|
|  <><>  |
#========#

#====#     size = 1
|<><>|
|<><>|
#====#

*/

public class Example_5
{
   public static final int SIZE = 4;  // try SIZE = 25

   public static void main(String[] args)
   {
      System.out.print("#");
      for (int i = 0 ; i < 4 * SIZE; i++)
      {
         System.out.print("=");
      }
      System.out.println("#");

      for (int line = 1; line <= SIZE; line++)
      {
         System.out.print("|");
         for (int i = 0; i < 2 * (SIZE - line); i++)
         {
            System.out.print(" ");
         }
         System.out.print("<>");
         for (int i = 0; i < 4 * (line - 1); i++)
         {
            System.out.print(".");
         }
         System.out.print("<>");
         for (int i = 0; i < 2 * (SIZE - line); i++)
         {
            System.out.print(" ");
         }
         System.out.println("|");
      }

      for (int line = SIZE; line >= 1; line--)
      {
         System.out.print("|");
         for (int i = 0; i < 2 * (SIZE - line); i++)
         {
            System.out.print(" ");
         }
         System.out.print("<>");
         for (int i = 0; i < 4 * (line - 1); i++)
         {
            System.out.print(".");
         }
         System.out.print("<>");
         for (int i = 0; i < 2 * (SIZE - line); i++)
         {
            System.out.print(" ");
         }
         System.out.println("|");
      }

      System.out.print("#");
      for (int i = 0 ; i < 4 * SIZE; i++)
      {
         System.out.print("=");
      }
      System.out.println("#");
   }
}
